Loading...
Searching...
No Matches
Lower.h File Reference

Defines the function that generates a statement that computes a Halide function using its schedule. More...

`#include <string>`
`#include <vector>`
`#include "Argument.h"`
`#include "Expr.h"`
`#include "Module.h"`

Go to the source code of this file.

## Namespaces

namespace | Halide
| This file defines the class FunctionDAG, which is our representation of a Halide pipeline, and contains methods to using Halide's bounds tools to query properties of it.
namespace | Halide::Internal

## Functions

Module | Halide::Internal::lower (const std::vector< Function > &output_funcs, const std::string &pipeline_name, const Target &t, const std::vector< Argument > &args, LinkageType linkage_type, const std::vector< Stmt > &requirements=std::vector< Stmt >(), bool trace_pipeline=false, const std::vector< IRMutator * > &custom_passes=std::vector< IRMutator * >())
| Given a vector of scheduled halide functions, create a Module that evaluates it.
Stmt | Halide::Internal::lower_main_stmt (const std::vector< Function > &output_funcs, const std::string &pipeline_name, const Target &t, const std::vector< Stmt > &requirements=std::vector< Stmt >(), bool trace_pipeline=false, const std::vector< IRMutator * > &custom_passes=std::vector< IRMutator * >())
| Given a halide function with a schedule, create a statement that evaluates it.
void | Halide::Internal::lower_test ()

## Detailed Description

Defines the function that generates a statement that computes a Halide function using its schedule.

Definition in file Lower.h.